### Function

# EDataCal CalBackendSExp func_time_day_begin

#### Declaration [src]

    ESExpResult*
    e_cal_backend_sexp_func_time_day_begin (
      ESExp* esexp,
      gint argc,
      ESExpResult** argv,
      gpointer data
    )

#### Description [src]

(time-day-begin TIME) TIME - time_t, base time

Returns the start of the day, according to the local time.

FIXME: TIMEZONES - this uses the current Unix timezone.

This function is not directly available to language bindings.

#### Parameters

`esexp`

  Type: `ESExp*`

  An `ESExp` object.

  The data is owned by the caller of the function.

`argc`

  Type: `gint`

  Number of arguments.

`argv`

  Type: `ESExpResult**`

  The arguments.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  Closure data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ESExpResult*`

The result of the function.

The data is owned by the called function.